//
//  FGHudCircleCell.h
//  FGBseHUD
//
//  Created by Franco on 15/02/06.
//
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////////////////////////////////////////////////

#import <Cocoa/Cocoa.h>
#import "FGHUDView.h"


@interface FGHudCircleCell : NSActionCell {
    double value;
    NSPoint center;
    double radius;

    FGHUDView *aHudView;
    NSColor *foreColor;
    NSColor *backColor;

    NSColor *aFillColor;
    NSColor *aBorderColor;

    BOOL bUseGradient;      //TRUE uso gradiente
    BOOL bUseCustomKnob;    //TRUE uso il knob Immagine


   NSImage *aImageButton; //Normal ON
   NSImage *aImageButtonPressedOn; //Pressed ON
}

-(void) setFillColor:(NSColor*) theFillColor;
-(void) setBorderColor:(NSColor*) theBorderColor;
-(void) setUseGradient:(BOOL) bYesNo;
- (void)setImage:(NSImage *)image;
- (void)seImageForNormalState:(NSImage *)imageNormal imageForPressedState:(NSImage*) imagePressed;
- (void) setUseCustomKnob:(BOOL) bYesNo;
@end
