//
//  FGHudLevelIndicator.h
//  FGBseHUD
//
//  Created by Francesco on 2/17/06.
//
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////////////////////////////////////////////////

#import <Cocoa/Cocoa.h>
#import "FGHUDView.h"

@interface FGHudLevelIndicator : NSLevelIndicator
{

}
- (void) setUseGradient:(BOOL) bYesNo;
- (void) setFGLevelIndicatorStyle:(FGLevelIndicatorStyle)levelIndicatorStyle; //imposto il tipo di indicatore
- (void) setFillColor:(NSColor*) aColor;
- (void) setFillColorWarning:(NSColor*) aColor;
- (void) setFillColorCritical:(NSColor*) aColor;
- (void) setColorBorder:(NSColor*) aColor;
-(void)  setTitle:(NSString *) aString; //Imposto il titolo
- (void) seImageForBarLeds:(NSImage *)imageNormal;
-(void) startAnimation:(NSTimeInterval)inteval withIncrement:(double)increment;
-(void) stopAnimation;
- (void) setEnableReverse:(BOOL) bYesNo;
@end
