// theMainWindowDelegate 
//
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////////////////////////////////////////////////

//Impostazione dati di personalizzazione della finestra HUD

//Nota: per utilizzare le classi

// 1) In IB - importo il files .h delle classi FGHudxxxx
// 2)       - tramite layout manager, cambio le classi agli oggetti standard (subclass)
// 3)       - creo oggetto delegato della window (questo)
// 4)       - collego la FGHudWindow e la FGHudView agli oultet di questa classe
// 5)       - imposto i dati via codice nella awakeFromNib di questa classe

#import <Cocoa/Cocoa.h>

#import "FGHUDWindow.h"
#import "FGHUDView.h"
#import "FGHudButton.h"
#import "FGHudCircle.h"
#import "FGHudLevelIndicator.h"
#import "FGHudDisplay.h"
#import "FGHudSegmented.h"
#import "FGHudPopUp.h"

@interface theMainWindowDelegate : NSObject
{
    IBOutlet FGHUDView *theFGHudView;
    IBOutlet FGHUDWindow *theFGHudWindow;
	IBOutlet FGHudButton *btnTest1;
	IBOutlet FGHudButton *btnTest2;
	IBOutlet FGHudButton *btnTest3;
	IBOutlet FGHudButton *btnTest4;
	IBOutlet FGHudButton *btnTest5;
	IBOutlet FGHudButton *btnTest6;
	IBOutlet FGHudButton *btnTest7;
	IBOutlet NSMatrix *btnTest8;
    IBOutlet FGHudCircle *btnTest9;
	IBOutlet FGHudLevelIndicator *btnTest10; //Color Bar 
	IBOutlet FGHudLevelIndicator *btnTest11; //Lampadine
	IBOutlet FGHudLevelIndicator *btnTest12; //Leds
	IBOutlet FGHudDisplay *display; //Display
	IBOutlet FGHudSegmented *segment; //Segmented
	
	IBOutlet NSTabView *tabView; 
	IBOutlet FGHudPopUp *comboBox;
	
	
}
@end
