//
//  FGHudSegmentedCell.h
//  FGBseHUD
//
//  Created by Francesco on 2/18/06.
//
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////

#import <Cocoa/Cocoa.h>
#import "FGHUDView.h"

@interface FGHudSegmentedCell : NSSegmentedCell {
    FGHUDView *aHudView;
    NSColor *foreColor;
    NSColor *backColor;
	
	NSImage *aImageLeft; //Left Image
    NSImage *aImageMiddle; //Middle Image
    NSImage *aImageRight; //right Image

	NSImage *aImageLeftNormal; //Left Image
    NSImage *aImageMiddleNormal; //Middle Image
    NSImage *aImageRightNormal; //right Image

	NSImage *aImageLeftPressed; //Left Image
    NSImage *aImageMiddlePressed; //Middle Image
    NSImage *aImageRightPressed; //right Image
	
	NSPoint ptLastHitPoint;
	
	BOOL bCenterText;

}
-(void) setImageButtonWithName:(NSString *) newImageButton;
- (void) drawText:(NSRect)cellFrame forLabel:(NSString*) theLabel; //scrive il testo nel segmento
@end
